fourmolu-0.18.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer.Meat.Declaration.Data

Description

Renedring of data type declarations.

# Documentation

p_dataDecl Source #

Arguments

:: FamilyStyle | Whether to format as data family
-> LocatedN RdrName | Type constructor
-> [tyVar] | Type variables
-> (tyVar -> SrcSpan) | Get location information for type variables
-> (tyVar -> R ()) | How to print type variables
-> LexicalFixity | Lexical fixity
-> HsDataDefn GhcPs | Data definition
-> R () |